
// Mecanismo 1.cpp : define los comportamientos de las clases para la aplicacin.
//

#include "stdafx.h"
#include "afxwinappex.h"
#include "afxdialogex.h"
#include "Mecanismo 1.h"
#include "MainFrm.h"

#include "Mecanismo 1Doc.h"
#include "Mecanismo 1View.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CMecanismo1App

BEGIN_MESSAGE_MAP(CMecanismo1App, CWinAppEx)
	ON_COMMAND(ID_APP_ABOUT, &CMecanismo1App::OnAppAbout)
	// Comandos de documento estndar basados en archivo
	ON_COMMAND(ID_FILE_NEW, &CWinAppEx::OnFileNew)
	ON_COMMAND(ID_FILE_OPEN, &CWinAppEx::OnFileOpen)
	// Comando de configuracin de impresin estndar
	ON_COMMAND(ID_FILE_PRINT_SETUP, &CWinAppEx::OnFilePrintSetup)
END_MESSAGE_MAP()


// Construccin de CMecanismo1App

CMecanismo1App::CMecanismo1App()
{
	// admite Administrador de reinicio
	m_dwRestartManagerSupportFlags = AFX_RESTART_MANAGER_SUPPORT_ALL_ASPECTS;
#ifdef _MANAGED
	// Si la aplicacin se compila  para ser compatible con Common Language Runtime (/clr):
	//     1) Esta configuracin adicional es necesaria para que la compatibilidad con el Administrador de reinicio funcione correctamente.
	//     2) En el proyecto, debe agregar una referencia a System.Windows.Forms para poder compilarlo.
	System::Windows::Forms::Application::SetUnhandledExceptionMode(System::Windows::Forms::UnhandledExceptionMode::ThrowException);
#endif

	// TODO: reemplace la cadena de identificador de aplicacin siguiente por una cadena de identificador nico; el formato
	// recomendado para la cadena es NombreCompaa.NombreProducto.Subproducto.InformacinDeVersin
	SetAppID(_T("Mecanismo 1.AppID.NoVersion"));

	// TODO: agregar aqu el cdigo de construccin,
	// Colocar toda la inicializacin importante en InitInstance
}

// El nico objeto CMecanismo1App

CMecanismo1App theApp;


// Inicializacin de CMecanismo1App

BOOL CMecanismo1App::InitInstance()
{
	// Windows XP requiere InitCommonControlsEx() si un manifiesto de
	// aplicacin especifica el uso de ComCtl32.dll versin 6 o posterior para habilitar
	// estilos visuales. De lo contrario, se generar un error al crear ventanas.
	INITCOMMONCONTROLSEX InitCtrls;
	InitCtrls.dwSize = sizeof(InitCtrls);
	// Establecer para incluir todas las clases de control comunes que desee utilizar
	// en la aplicacin.
	InitCtrls.dwICC = ICC_WIN95_CLASSES;
	InitCommonControlsEx(&InitCtrls);

	CWinAppEx::InitInstance();


	// Inicializar bibliotecas OLE
	if (!AfxOleInit())
	{
		AfxMessageBox(IDP_OLE_INIT_FAILED);
		return FALSE;
	}

	AfxEnableControlContainer();

	EnableTaskbarInteraction(FALSE);

	// Se necesita AfxInitRichEdit2() para usar el control RichEdit	
	// AfxInitRichEdit2();

	// Inicializacin estndar
	// Si no utiliza estas caractersticas y desea reducir el tamao
	// del archivo ejecutable final, debe quitar
	// las rutinas de inicializacin especficas que no necesite
	// Cambie la clave del Registro en la que se almacena la configuracin
	// TODO: debe modificar esta cadena para que contenga informacin correcta
	// como el nombre de su compaa u organizacin
	SetRegistryKey(_T("Aplicaciones generadas con el Asistente para aplicaciones local"));
	LoadStdProfileSettings(4);  // Cargar opciones de archivo INI estndar (incluidas las de la lista MRU)


	// Registrar las plantillas de documento de la aplicacin. Las plantillas de documento
	//  sirven como conexin entre documentos, ventanas de marco y vistas
	CSingleDocTemplate* pDocTemplate;
	pDocTemplate = new CSingleDocTemplate(
		IDR_MAINFRAME,
		RUNTIME_CLASS(CMecanismo1Doc),
		RUNTIME_CLASS(CMainFrame),       // Ventana de marco SDI principal
		RUNTIME_CLASS(CMecanismo1View));
	if (!pDocTemplate)
		return FALSE;
	AddDocTemplate(pDocTemplate);


	// Analizar lnea de comandos para comandos Shell estndar, DDE, Archivo Abrir
	CCommandLineInfo cmdInfo;
	ParseCommandLine(cmdInfo);



	// Enviar comandos especificados en la lnea de comandos. Devolver FALSE si
	// la aplicacin se inici con los modificadores /RegServer, /Register, /Unregserver o /Unregister.
	if (!ProcessShellCommand(cmdInfo))
		return FALSE;

	// Se ha inicializado la nica ventana; mostrarla y actualizarla
	m_pMainWnd->ShowWindow(SW_SHOW);
	m_pMainWnd->UpdateWindow();
	return TRUE;
}

int CMecanismo1App::ExitInstance()
{
	//TODO: controlar recursos adicionales que se hayan podido agregar
	AfxOleTerm(FALSE);

	return CWinAppEx::ExitInstance();
}

// Controladores de mensaje de CMecanismo1App


// Cuadro de dilogo CAboutDlg utilizado para el comando Acerca de

class CAboutDlg : public CDialogEx
{
public:
	CAboutDlg();

// Datos del cuadro de dilogo
	enum { IDD = IDD_ABOUTBOX };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // Compatibilidad con DDX/DDV

// Implementacin
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialogEx(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialogEx)
END_MESSAGE_MAP()

// Comando de la aplicacin para ejecutar el cuadro de dilogo
void CMecanismo1App::OnAppAbout()
{
	CAboutDlg aboutDlg;
	aboutDlg.DoModal();
}

// Controladores de mensaje de CMecanismo1App



