
// Mecanismo 1Doc.h: interfaz de la clase CMecanismo1Doc
//


#pragma once

typedef enum MECASTATE {CMD_DEMO=1,CMD_CAPTURA,CMD_UNIR,CMD_SIMULA};


typedef struct TagFloatPoint
{
  double	m_X;
  double    m_Y;
} FPOINT ,NEAR * PFPPOINT ,FAR * LFPPOINT;

class CMecanismo1Doc : public CDocument
{
protected: // Crear slo a partir de serializacin
	CMecanismo1Doc();
	DECLARE_DYNCREATE(CMecanismo1Doc)

// Atributos
public:
// tierra
	FPOINT	m_ptNode1;
	FPOINT	m_ptNode2;
	FPOINT	m_ptNode3;
	FPOINT	m_ptNode4;

	int		m_nTierra;

// eslabon 1
	int		m_nEslabon1;
	double	m_dAngle1;


// eslabon 2
	int		m_nEslabon2;
	double	m_dAngle2;

// eslabon 3
	int		m_nEslabon3;
	double	m_dAngle3;


	int		m_nEslabon4;



// Operaciones
public:
	void Initialize();


// Reemplazos
public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
#ifdef SHARED_HANDLERS
	virtual void InitializeSearchContent();
	virtual void OnDrawThumbnail(CDC& dc, LPRECT lprcBounds);
#endif // SHARED_HANDLERS

// Implementacin
public:
	virtual ~CMecanismo1Doc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Funciones de asignacin de mensajes generadas
protected:
	DECLARE_MESSAGE_MAP()

#ifdef SHARED_HANDLERS
	// Funcin auxiliar que establece contenido de bsqueda para un controlador de bsqueda
	void SetSearchContent(const CString& value);
#endif // SHARED_HANDLERS
};
